package com.sxtvs.open.api.chat.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class KimiStreamResponse {

    @JSONField(name = "id")
    private String id;
    @JSONField(name = "object")
    private String object;
    @JSONField(name = "created")
    private Integer created;
    @JSONField(name = "model")
    private String model;
    @JSONField(name = "choices")
    private List<ChoicesDTO> choices;

    @NoArgsConstructor
    @Data
    public static class ChoicesDTO {
        @JSONField(name = "index")
        private Integer index;
        @JSONField(name = "delta")
        private DeltaDTO delta;
        @JSONField(name = "finish_reason")
        private Object finishReason;

        @NoArgsConstructor
        @Data
        public static class DeltaDTO {
            @JSONField(name = "content")
            private String content;
        }
    }
}
